This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 88879 - intltool-update does not work on RHL 9
intltool-update does not work on RHL 9
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: intltool (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-15 05:18 EDT by Taneem Ahmed
Modified: 2007-04-18 12:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 01:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Taneem Ahmed 2003-04-15 05:18:57 EDT
Description of problem: 
 
If I run `intltool-update --pot` inside a po directory, it reports: 
 [taneem@Ankur po]$ intltool-update --pot 
 intltool-update: Unable to determine package name. 
 Make sure to run this script inside the po directory. 
 
Version-Release number of selected component (if applicable): 
 0.25-2 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Download a src tree with po directory 
2. cd to po directory 
3. run command `intltool-update --pot` 
     
Actual results: 
Gives the following message: 
 intltool-update: Unable to determine package name. 
 Make sure to run this script inside the po directory. 
 
Expected results: 
Create/update the pot file. 
 
Additional info: 
This works fine in RH8.x (version 0.22). Also even if the source is downloaded for intltool-0.25 
and used on a RH9 the same problem shows up. But non-RH systems works fine with 0.25 
version.
Comment 1 Marcel Telka 2003-04-15 09:54:54 EDT
Problem is probably in perl package. I'm upgrading my RH 8.0 based computer
manually (using rpm -F ...) to RH 9. I've first updated intltool to 0.25-2 and
it works ok with perl from RH 8.0 (perl-5.8.0-55). After update perl to 5.8.0-88
(version from RH 9), intltool-update refuses to work.
Comment 2 Marcel Telka 2003-04-29 20:43:31 EDT
This is a quick workaround for the problem:

LC_ALL=C intltool-update --pot
Comment 3 Matthias Clasen 2005-04-21 01:00:45 EDT
Old versions of intltool are known to not work correctly in UTF-8 locales.
This is fixed in version 0.26 and newer.

Note You need to log in before you can comment on or make changes to this bug.